Bug 327271 - Segfault in Firefox Print Preview
Segfault in Firefox Print Preview
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 02:17 EDT by Peter H. Jones
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 09:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Firefox backtrace (18.93 KB, text/plain)
2007-10-11 02:17 EDT, Peter H. Jones
no flags Details
Firefox automatic bug report (15.61 KB, text/plain)
2007-10-11 11:13 EDT, Peter H. Jones
no flags Details
Screenshot of Bug Buddy window (window only) (10.96 KB, image/png)
2007-10-11 11:15 EDT, Peter H. Jones
no flags Details
Screenshot of Bug Buddy window (full screen) (25.67 KB, image/png)
2007-10-11 11:17 EDT, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2007-10-11 02:17:22 EDT
Description of problem:
Print Preview crashes with a segfault. Printing works OK, unlike bug #216358.

Version-Release number of selected component (if applicable):
firefox-2.0.0.6-11.fc8
firefox-debuginfo-2.0.0.6-11.fc8

How reproducible:
Every time

Steps to Reproduce:
1. Access a page on the Internet. I first found the problem on
http://www.cvm.qc.ca/mlandry/folklore/sweetsburg-2007.htm
2. Select File/Print Preview
  
Actual results:
Bug Buddy dialog appears. It was not clear to me if a bug report was sent
automatically or not, or how to send one. Accordingly, I've sent a backtrace.

Expected results:
Print Preview

Additional info:
Printing works, Print Preview doesn't.

As in bug 216358, providing a backtrace.
Comment 1 Peter H. Jones 2007-10-11 02:17:22 EDT
Created attachment 223991 [details]
Firefox backtrace
Comment 2 Peter H. Jones 2007-10-11 11:13:37 EDT
Created attachment 224401 [details]
Firefox automatic bug report

Got this by clicking Save But Report in Bug-Buddy dialog box.
Comment 3 Peter H. Jones 2007-10-11 11:15:10 EDT
Created attachment 224411 [details]
Screenshot of Bug Buddy window (window only)

Shows incomplete screen shot capture.
Comment 4 Peter H. Jones 2007-10-11 11:17:19 EDT
Created attachment 224421 [details]
Screenshot of Bug Buddy window (full screen)

Shows incomplete capture similar to attachment 224411 [details].
Comment 5 Peter H. Jones 2007-10-11 11:20:34 EDT
Tried Print Preview on an empty page. Got a bug report, attached.

Also noticed that attempting to get a screenshot with
Applications/Accessories/TakeScreenshot gave incomplete results, whether I saved
window-only, or full screen. Attached.
Comment 6 Peter H. Jones 2007-10-25 09:43:00 EDT
Works with firefox-2.0.0.8-1.fc8

Note You need to log in before you can comment on or make changes to this bug.